import sys
from setuptools import setup, find_namespace_packages
from distutils.util import convert_path

sys.path.insert(0, 'src/')

main_ns = {}
ver_path = convert_path('src/sbeam.py')
with open(ver_path) as ver_file:
    exec(ver_file.read(), main_ns)

setup(
    name="sbeam",
    description="SuperBeam CLI Client",
    version=main_ns['__VERSION__'],
    author="JayPiKay",
    author_email="jpk+python@goatpr0n.de",
    url='https://git.goatpr0n.de/',
    package_dir={'': 'src'},
    scripts=['src/sbeam.py'],
    packages=find_namespace_packages(where='src'),
    install_requires=['Click>=7.0', 'PyQRCode>=1.2.1', 'requests>=2.22.0'],
    entry_points={
        'console_scripts': ['sbeam=sbeam:cli']
    }
)
